LSCPU(1)

NOM
lscpu - Afficher des informations sur l'architecture du processeur

SYNOPSIS
lscpu [-a|-b|-c] [-x] [-s répertoire] [-e[=liste]|-p[=liste]]
lscpu -h|-V

DESCRIPTION
lscpu collecte des renseignements sur l'architecture processeur à partir de sysfs et /proc/cpuinfo. La sortie de la commande peut être optimisée pour l’analyse ou pour faciliter la lecture. Par exemple, le nombre de processeurs, de processus légers, de cœurs, de sockets et de nœuds NUMA font partie des renseignements. Des renseignements sont aussi fournis sur les caches et les partages de cache, la famille, le modèle, le BogoMips, le boutisme et la révision.

Les options ayant pour résultat un tableau en sortie ont un argument liste. Utilisez cet argument pour personnaliser la sortie de la commande. Indiquez une liste d’étiquettes de colonne séparées par des virgules pour limiter le tableau en sortie à ces colonnes dans l’ordre indiqué. Consultez COLONNES pour une liste des étiquettes de colonne possibles. Les étiquettes de colonne ne sont pas sensibles à la casse.

Toutes les colonnes ne sont pas prises en charge sur toutes les architectures. Si une colonne non prise en charge est indiquée, lscpu affiche la colonne, mais ne fournit pas de données pour cette colonne.

  COLONNES
Remarquez que la topologie des éléments (cœur, socket, etc.) utilise des identifiants uniques successifs commençant à zéro, mais les numéros logiques de processeur suivent le noyau qui ne garantit pas de numérotation séquentielle.

CPU Le numéro de processeur logique d’un processeur tel qu’utilisé par le noyau Linux.

CORE
    Le numéro de cœur logique. Un cœur peut contenir plusieurs processeurs.

SOCKET
    Le numéro de socket logique. Une socket peut contenir plusieurs cœurs.

BOOK
    Le numéro de livre logique. Un livre peut contenir plusieurs sockets.

NODE
    Le numéro de nœud NUMA logique. Un nœud peut contenir plusieurs livres.

CACHE
    Renseignements sur la façon de partager les caches entre processeurs.

ADDRESS
    L’adresse physique d'un processeur.

ONLINE
    Indicateur montrant si l’instance Linux utilise en ce moment le processeur.

CONFIGURED
    Indicateur montrant si l’hyperviseur a alloué le processeur au matériel virtuel sur lequel l’instance Linux est exécutée. Les processeurs configurés peuvent être définis en ligne par l’instance Linux. Cette colonne ne contient des données que si le système matériel et l’hyperviseur permettent l’allocation dynamique de ressource processeur.

POLARIZATION
    Cette colonne contient des données pour les instances Linux exécutées sur du matériel virtuel avec un hyperviseur pouvant modifier le mode distribué de processeur (polarisation). La polarisation peut être une des suivantes.

    horizontal
        La charge est partagée entre tous les processeurs disponibles.

    vertical
        La charge est concentrée sur peu de processeurs.

    Pour le mode vertical de polarisation, la colonne montre aussi le degré de concentration : high, medium ou low. Cette colonne ne contient des données que si le système matériel et l’hyperviseur permettent la polarisation processeur.

    MMHZ
        La valeur maximale en mégahertz pour le processeur. Utile quand lscpu est utilisé comme outil de collecte de renseignements pour l’inventaire matériel. Remarquez que la valeur en mégahertz est dynamique et pilotée par l’état du processeur (« CPU governor ») en fonction du besoin actuel de ressources.

OPTIONS

-a, --all
    Inclure les lignes pour les processeurs en ligne et hors ligne dans la sortie (par défaut pour -e). Cette option ne peut être indiquée qu’avec les options -e ou -p.

-b, --online
    Limiter la sortie aux processeurs en ligne (par défaut pour -p). Cette option ne peut être indiquée qu’avec les options -e ou -p.

-c, --offline
    Limiter la sortie aux processeurs hors ligne. Cette option ne peut être indiquée qu’avec les options -e ou -p.

-e, --extended[=liste]
    Afficher les renseignements sur le processeur au format lisible.

    Si l’argument liste est omis, toutes les colonnes ayant des données disponibles sont incluses dans la sortie de la commande.

    Quand l’argument liste est indiqué, la chaîne d’option, le signe égal (=) et liste ne doivent pas contenir d’espace. Par exemple : « -e=cpu,node » ou « --extended=cpu,node ».

-h, --help
    Afficher un texte d'aide puis quitter.

-p, --parse[=liste]
    Optimiser la sortie de la commande pour faciliter l’analyse.

    En absence d'argument liste, la sortie de la commande est compatible avec les versions précédentes de lscpu. Dans ce format compatible, deux virgules séparent les colonnes de cache de processeur. Si aucun cache de processeur n'est identifié, la colonne est omise.
    Si l'argument liste est utilisé, les colonnes de cache sont séparées par des deux-points (:).

    Quand l’argument liste est indiqué, la chaîne d’option, le signe égal (=) et liste ne doivent pas contenir d’espace. Par exemple : « -p=cpu,node » ou « --parse=cpu,node ».

-s, --sysroot répertoire
    Collecter les données de processeur pour une autre instance Linux que celle utilisée pour la commande lscpu. Le répertoire indiqué est la racine du système de l’instance Linux à inspecter.

-x, --hex
    Utiliser des masques hexadécimaux pour les ensembles de processeurs (par exemple 0x3). Par défaut, l'affichage est au format liste (par exemple 0,1).

-V, --version
    Afficher les informations sur la version et quitter.

BOGUES
La vue d'ensemble de base de la famille, du modèle, etc., de processeur n’est toujours relative qu’au premier processeur.

Quelques fois sous Xen Dom0, les résultats du noyau sont incorrects.

Sur matériel virtuel, le nombre de cœurs par socket, etc., peut être faux.

AUTEUR
Cai Qian <qcai@redhat.com>
Karel Zak <kzak@redhat.com>
Heiko Carstens <heiko.carstens@de.ibm.com>

VOIR AUSSI
chcpu(8)

DISPONIBILITÉ
La commande lscpu fait partie du paquet util-linux, elle est disponible sur <ftp://ftp.kernel.org/pub/linux/utils/util-linux/>.

TRADUCTION
Cette page de manuel a été traduite et est maintenue par Florentin Duneau <fduneau AT gmail DOT com> et les membres de la liste <debian-l10n-french AT lists DOT debian DOT org>. Veuillez signaler toute erreur de traduction par un rapport de bogue sur le paquet manpages-fr-extra.